{
  "dBType" : "SQLSERVER",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdedataqueries/CalUni/psdedqcodes/SQLSERVER",
  "name" : "SqlServer",
  "getPSDEDataQueryCodeConds" : [ {
    "condType" : "CUSTOM",
    "customCond" : "t1.DELETEFLAG = 'Y'",
    "name" : "查询条件"
  }, {
    "condType" : "CUSTOM",
    "customCond" : "( t1.[ADDRESS] =  ${srfdatacontext('address','{\"defname\":\"ADDRESS\",\"dename\":\"IBIZSUPPLIER\"}')}  AND  t1.[EMAIL] =  ${srfdatacontext('email','{\"defname\":\"EMAIL\",\"dename\":\"IBIZSUPPLIER\"}')}  AND  t1.[SUPPLIERNAME] =  ${srfdatacontext('suppliername','{\"defname\":\"SUPPLIERNAME\",\"dename\":\"IBIZSUPPLIER\"}')} )",
    "name" : "查询条件"
  } ],
  "getPSDEDataQueryCodeExps" : [ {
    "expression" : "t1.[ADDRESS]",
    "name" : "ADDRESS"
  }, {
    "expression" : "t1.[CREATEBY]",
    "name" : "CREATEBY"
  }, {
    "expression" : "t1.[CREATETIME]",
    "name" : "CREATETIME"
  }, {
    "expression" : "t1.[DELETEFLAG]",
    "name" : "DELETEFLAG"
  }, {
    "expression" : "t1.[EMAIL]",
    "name" : "EMAIL"
  }, {
    "expression" : "t1.[SUPPLIERID]",
    "name" : "SUPPLIERID"
  }, {
    "expression" : "t1.[SUPPLIERNAME]",
    "name" : "SUPPLIERNAME"
  }, {
    "expression" : "t1.[UPDATEBY]",
    "name" : "UPDATEBY"
  }, {
    "expression" : "t1.[UPDATETIME]",
    "name" : "UPDATETIME"
  } ],
  "queryCode" : "SELECT\nt1.[ADDRESS],\nt1.[CREATEBY],\nt1.[CREATETIME],\nt1.[DELETEFLAG],\nt1.[EMAIL],\nt1.[SUPPLIERID],\nt1.[SUPPLIERNAME],\nt1.[UPDATEBY],\nt1.[UPDATETIME]\nFROM [t_supplier] t1 \n",
  "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZSUPPLIER/psdedataqueries/CalUni/psdedqcodes/SQLSERVER",
  "id" : "PSMODULES/Sample/PSDATAENTITIES/IBIZSupplier/PSDEDATAQUERIES/CalUni/PSDEDQCODES/SQLSERVER.json"
}